-- (c) 2007 Nymbia.  see LGPLv2.1.txt for full details.
local key = {"1","2","3","4","5","6","7","8","9","a","b","c","d","e","f","g","h","i","j","k","l","m","n","o","p","q","r","s","t","u","v","w","x","y","z"}
key[0] = "0"
local function to36(data)
	local pre = ""
	if data:sub(1,1) == "-" then
		pre = "-"
		data = data:sub(2)
	end
	if not tonumber(data) then
		return data
	end
	local working = tonumber(data)
	local newstr = ""
	if working == 0 then
		newstr = "0"
	end
	while working > 0 do
		newstr = key[working%36]..newstr
		working = math.floor(working / 36)
	end
	return pre..newstr
end
local function squish(data)
	local newdata = ""
	for itemstring in data:gmatch("([^,]+)") do
		local id, value = itemstring:match("^([^:]+):(.+)$")
		if id then
			newdata = newdata..to36(id)..":"..to36(value)..","
		else
			newdata = newdata..to36(itemstring)..","
		end
	end
	return newdata:sub(1,-2)
end
local f = assert(io.open("Manufac-DefaultsBase.lua", "r"))
local file = f:read("*all")
f:close()
local f = assert(io.open("Manufac-Defaults.lua", "w"))
for line in string.gmatch(file, '([^\n]-\n)') do
	local setname, data = string.match(line, '\t%[([^\n]+)%][^\n]-=[^\n]-"([^\n]-)",')
	if data then
		data = squish(data)
		f:write('\t['..setname..']="'..data..'",\n')
	else
		f:write(line)
	end
end
f:close()